# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/4/21
import datetime
import os
import sys
import time
sys.path.append(os.getcwd())
from common.common import Common
from common.feishu import Feishu


class WeixinzhishuBot:
    @classmethod
    def search_key_bot(cls, log_type, crawler):
        if (datetime.datetime.now().hour == 11 and datetime.datetime.now().minute >= 30)\
                or (datetime.datetime.now().hour == 13 and datetime.datetime.now().minute >= 30):
            Common.logger(log_type, crawler).info("开始检测微信指数 Search_Key 抓取状态")
            while True:
                sheet = Feishu.get_values_batch(log_type, crawler, sheetid="sVL74k")
                if sheet is None:
                    continue
                first_key_time_str = sheet[1][0]
                if first_key_time_str is None:
                    Feishu.bot(log_type, crawler, "微信指数 Search_Key is None ~")
                    time.sleep(60*10)
                    continue

                first_key_time_stamp = int(time.mktime(time.strptime(first_key_time_str, "%Y-%m-%d %H:%M:%S")))
                if int(time.time()) - first_key_time_stamp < 60*3:
                    Common.logger(log_type, crawler).info("微信指数 Search_Key 正常")
                    time.sleep(60*10)
                else:
                    Feishu.bot(log_type, crawler, "微信指数 Search_Key 过期啦 ~")
                    return
        else:
            Common.logger(log_type, crawler).info("微信指数 Search_Key 抓取状态检测结束\n")


if __name__ == "__main__":
    WeixinzhishuBot.search_key_bot("bot", "weixinzhishu")

    pass